
Summary:	redo-mbr
Summary(de):	MBR-Wiederherstellung
Name:		redo-mbr
Version:	0.2
Release:	%mkrel 6
License:	GPL
Group:		System/Configuration/Other
Source0:	http://pclinuxonline.com/%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
URL:		http://pclinuxonline.com/
Obsoletes:	redo-lilo
Requires:	os-prober

%description
KDE version of redo-mbr
Re-install MBR from Livecd.

%description -l de
KDE Version von redo-mbr
Re-installieren des Master Boot Record (MBR) von der Livecd. 

%prep

%setup -q 

%build

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/%{_sbindir}
install -m 755 redo-mbr  $RPM_BUILD_ROOT/%{_sbindir}

mkdir -p %buildroot%{_datadir}/applications
cat > %buildroot%{_datadir}/applications/pclinuxos-redo-mbr.desktop << EOF
[Desktop Entry]
Name=Redo MBR
Name[de]=MBR-Wiederherstellung
Exec=kdesu %{_sbindir}/%name
Comment=Restore Master Boot Record
Comment[de]=Wiederherstellung des Master Boot Record (MBR)
Icon=boot_init_section.png
Terminal=false
Type=Application
StartupNotify=true
Categories=Settings;X-MandrivaLinux-System-Configuration-BootandInit;
EOF



%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%{_sbindir}/redo-mbr
%{_datadir}/applications/pclinuxos-redo-mbr.desktop

%changelog
*Fri May 28 2010 maik3531 <maik3531 at yahoo.de> 0.2-6pclos2010
- up to pclos2010
- add german description and launcher

* Sat Nov 03 2007 Texstar <texstar@gmail.com> 0.2-5pclos2007
- update from ivan

* Mon Jun 26 2007 Texstar <texstar@gmail.com> 0.2-4pclos2007
- fix synaptic section geesh!

* Sun Apr 29 2007 Texstar <texstar@gmail.com> 0.2-3pclos2007
- add update from Ivan

* Fri Apr 06 2007 Texstar <texstar@gmail.com> 0.2-2pclos2007
- add menu entry

* Fri Jan 26 2007 Texstar <texstar@houston.rr.com> 0.2-1pclos2007
- update from Ivan
- rename to redo-mbr

* Thu Jan 18 2007 Texstar <texstar@houston.rr.com> 0.1-1pclos2007
- simple script to rebuild mbr
